-- by "Marhu" 
-- v 1.1.0
-- Date: 11.10.2013
--"Zeigt Pos Linien beim Platzieren"

PlaceHelper = {};

function PlaceHelper:loadMap(name)	
end;
function PlaceHelper:deleteMap()
end;
function PlaceHelper:mouseEvent(posX, posY, isDown, isUp, button)
end;
function PlaceHelper:keyEvent(unicode, sym, modifier, isDown)
end;
function PlaceHelper:update(dt)

	if self.show then
		local t = g_gui.guis.PlacementScreen.target
		if not t.isSellMode then
			if t.placeable.name and t.placeable.name == "WoolCollector" then
				local sx,sy,sz = getWorldTranslation(g_currentMission.husbandries.sheep.palletSpawnerPlaceId);
				local ex,ey,ez = getWorldTranslation(getChildAt(t.placeable.nodeId,0));
				local nx,ny,nz = getWorldTranslation(t.placeable.nodeId);
				local distance1 = Utils.vector3Length(sx-ex, sy-ey, sz-ez);
				local distance2 = Utils.vector3Length(sx-nx, sy-ny, sz-nz);
				local r,g,b = 1,0,0;
				local textY = 0.8;
				local textH = 0.022;
				if distance1 <= 0.35 and distance1 >= 0.2 and distance2 >= 4.4 then
					r,g,b = 0,1,0;
				end
				drawDebugLine(sx, sy + .5, sz, r, g, b,  ex, ey + .5, ez, r, g, b);
				drawDebugLine(sx+1, sy + .5, sz+1, r, g, b,  sx-1, sy + .5, sz-1, r, g, b);
				drawDebugLine(sx-1, sy + .5, sz+1, r, g, b,  sx+1, sy + .5, sz-1, r, g, b);
			end;
		end;
	end;
	
	if not self.Hook then
		if g_gui.guis.PlacementScreen.onOpenCallback ~= nil then
			local orgonOpenCallback = g_gui.guis.PlacementScreen.onOpenCallback;
			g_gui.guis.PlacementScreen.onOpenCallback = function(a, b)
				orgonOpenCallback(a, b);
				if not a.isSellMode then
					PlaceHelper.show = true;
				end;
			end;
			self.Hook = true;
		end;
		if g_gui.guis.PlacementScreen.onCloseCallback ~= nil then
			local orgonCloseCallback = g_gui.guis.PlacementScreen.onCloseCallback;
			g_gui.guis.PlacementScreen.onCloseCallback = function(a, b)
				orgonCloseCallback(a, b);
				PlaceHelper.show = nil;
			end;
		end;
	end;
	
end;

function PlaceHelper:draw()
end;

addModEventListener(PlaceHelper);

